using AlfaPrentice.Data;
using AlfaPrentice.Models;
using AlfaPrentice.Repositorys.Interfaces;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;

namespace AlfaPrentice.Repositorys.implementaties
{
    public class BedrijfRepository : IBedrijfRepository
    {
        AlfaPrenticeContext db;
        public BedrijfRepository(AlfaPrenticeContext db)
        {
            this.db = db;
        }

        //get list of bedrijfven
        public List<Bedrijf> GetBedrijven()
        {
            return db.Bedrijf.ToList();
        }

        //get bedrijf by ID
        public Bedrijf GetBedrijf(int Bedrijf_ID)
        {
            return db.Bedrijf.Where(B => B.Bedrijf_ID == Bedrijf_ID).FirstOrDefault();
        }

        //add geheel bedrijf
        public Bedrijf AddBedrijf(Bedrijf bedrijf)
        {
            db.Bedrijf.Add(bedrijf);
            db.SaveChanges();

            return bedrijf;
        }

        //update a complete bedrijf
        public Bedrijf UpdateBedrijf(Bedrijf bedrijf)
        {
            db.Bedrijf.Update(bedrijf);
            db.SaveChanges();

            return bedrijf;
        }
    
    }
}
